dofile('data/Scripts/scenes/11_corridor/anim/11_corridor_ho_anim_petard.lua')

class 'l_11_corridor_ho' (LevelEventHandler)

function l_11_corridor_ho:__init(name)
	LevelEventHandler.__init(self, name)
	
	-- animations ----------------------------------
	self.anim_petard = AnimationBundle(Loader_11_HO_Petard_Animations(Object('bg')))
	self.anim_petard:GetAnimation('petard'):SetVisible(true)
	
	Helpers.AttachInPlace(self.anim_petard:GetAnimation('snow'), Object('Snow'))
	
	-- link scenes ---------------------------------
	
	
	-- zoom zones ----------------------------------
	
	self:getnerateTasks()
	
	-- main lopgic ---------------------------------
	
	do
	    local sun = Object('Sun')
	    
	    Helpers.AttachInPlace(Object('layer_sun_inner_1'),     sun)
	    Helpers.AttachInPlace(Object('layer_sun_inner_2'),     sun)
	    Helpers.AttachInPlace(Object('layer_sun_rays'),        sun)
	    Helpers.AttachInPlace(Object('layer_sun_rays_shadow'), sun)
	    
	    Helpers.AttachInPlace(Object('layer_cloud_left_shadow'),  Object('layer_cloud_left'))
	    Helpers.AttachInPlace(Object('layer_cloud_right_shadow'), Object('layer_cloud_right'))
	    
	    play_field:IgnoreOnTestPoint('layer_sun_inner_1')
	    play_field:IgnoreOnTestPoint('layer_sun_inner_2')
	    play_field:IgnoreOnTestPoint('layer_sun_rays')
	    play_field:IgnoreOnTestPoint('layer_sun_rays_shadow')
	    play_field:IgnoreOnTestPoint('layer_sun_string')
	    
	    play_field:IgnoreOnTestPoint('layer_cloud_left')
	    play_field:IgnoreOnTestPoint('layer_cloud_right')
	    play_field:IgnoreOnTestPoint('layer_cloud_left_shadow')
	    play_field:IgnoreOnTestPoint('layer_cloud_right_shadow')
	end
	-------------------------
	
	play_field:IgnoreOnTestPoint('Sun')
	play_field:IgnoreOnTestPoint('Matches')
	-------------------------
	
	ObjectOpacity('Snow',    0)
	ObjectOpacity('Glasses', 0)
	-------------------------
	
	local function on_click_flowers(e)
	    ObjectVisible(e.target, false)
	    
	    local x = 751
	    local y = 617
	    
	    if e.save then
	        play_field:DoNotIgnoreOnTestPoint('Matches')
	        
	        Object('layer_flowers'):SetXY(x, y)
	        SetTaskActionObject('Matches', false)
	    else
	        local time = 0.5
	        Object('layer_flowers'):MoveTo(x, y, time)
	        MakeSoundEntity('11_ho_click_flowers'):PlaySound(false)
	        
	        self.timer:Add( function()
	                            play_field:DoNotIgnoreOnTestPoint('Matches')
	                            SetTaskActionObject('Matches', false)
	                        end,
	                        time)
	    end
	end
	-------------------------
	
	local function on_click_petard(e)
	    ObjectVisible(e.target, false)
	    local comics = self.anim_petard:GetAnimation('petard')
	    
	    if e.save then
	        comics:Rewind(true)
	        
	        self.anim_petard:PlayAnimation('snow')
	        ObjectOpacity('Snow', 1)
            SetTaskActionObject('Snow', false)
	    else
	        comics:Play()
	        MakeSoundEntity('11_ho_click_petard'):PlaySound(false)
	        
	        self.timer:Add( function()
	                            local time = 0.5
	                            self.anim_petard:PlayAnimation('snow')
	                            
	                            ObjectOpacity('Snow', 1, time)
	                            
	                            play_field:IgnoreOnTestPoint('Snow')
	                            self.timer:Add( function()
	                                                SetTaskActionObject('Snow', false)
	                                                play_field:DoNotIgnoreOnTestPoint('Snow')
	                                            end,
	                                            time)
	                        end,
	                        1)
	    end
	end
	-------------------------
	
	local function on_get_glass(e)
	end
	-------------------------
	
	local function on_drop_glass(e)
	end
	-------------------------
	
	local function on_drop_target_glass(e)
	    ObjectVisible('area_get_glass',  false)
	    ObjectVisible('area_drop_glass', false)
	    
	    if e.save then
	        ObjectOpacity('layer_glass',   0)
	        ObjectOpacity('layer_glasses', 0)
	        ObjectOpacity('Glasses',       1)
	        
	        SetTaskActionObject('Glasses', false)
	    else
	        local time = 0.5
	        ObjectOpacity('layer_glass',   0, time)
	        ObjectOpacity('layer_glasses', 0, time)
	        ObjectOpacity('Glasses',       1, time)
	        
	        play_field:IgnoreOnTestPoint('Glasses')
	        self.timer:Add( function()
	                            play_field:DoNotIgnoreOnTestPoint('Glasses')
	                            SetTaskActionObject('Glasses', false)
	                        end,
	                        time)
	    end
	end
	-------------------------
	
	local function createSunAnimation()
	    do
	        local objInner1 = Object('layer_sun_inner_1')
            local time      = 10
	        local eff       = CreateAnimationEffector()
	        
	        eff:AttachTo(objInner1)
	        eff:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
	        eff:SetKey(_TRACK_A, 0, 0)
	        eff:SetKey(_TRACK_A, time, M_TWO_PI)
	        eff:Play()
	    end
	    
	    do
	        local objInner2 = Object('layer_sun_inner_2')
            local time      = 20
	        local eff       = CreateAnimationEffector()
	        
	        eff:AttachTo(objInner2)
	        eff:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
	        eff:SetKey(_TRACK_A, 0, 0)
	        eff:SetKey(_TRACK_A, time, -M_TWO_PI)
	        eff:Play()
	    end
	    
	    do
	        local objRays = Object('layer_sun_rays')
            local time    = 30
	        local eff     = CreateAnimationEffector()
	        
	        eff:AttachTo(objRays)
	        eff:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
	        eff:SetKey(_TRACK_A, 0, 0)
	        eff:SetKey(_TRACK_A, time, M_TWO_PI)
	        eff:Play()
	    end
	    
	    do
	        local objRaysShadow = Object('layer_sun_rays_shadow')
            local time    = 30
	        local eff     = CreateAnimationEffector()
	        
	        eff:AttachTo(objRaysShadow)
	        eff:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
	        eff:SetKey(_TRACK_A, 0, 0)
	        eff:SetKey(_TRACK_A, time, M_TWO_PI)
	        eff:Play()
	    end
	end
	-------------------------
	
	local function on_click_clouds(e)
	    ObjectVisible(e.target, false)
	    
	    local leftCloudDeltaX  = -150
	    local rightCloudDeltaX =  50
	    
	    if e.save then
	        Object('layer_cloud_left' ):SetX(Object('layer_cloud_left' ):GetX() + leftCloudDeltaX )
	        Object('layer_cloud_right'):SetX(Object('layer_cloud_right'):GetX() + rightCloudDeltaX)
	        
	        createSunAnimation()
	        play_field:DoNotIgnoreOnTestPoint('Sun')
            SetTaskActionObject('Sun', false)
	    else
	        local time = 0.5
	        Object('layer_cloud_left' ):Move(leftCloudDeltaX,  0, time)
	        Object('layer_cloud_right'):Move(rightCloudDeltaX, 0, time)
	        
	        self.timer:Add( function()
	                            createSunAnimation()
	                            play_field:DoNotIgnoreOnTestPoint('Sun')
	                            SetTaskActionObject('Sun', false)
	                        end,
	                        time)
	    end
	end
	-------------------------
	
	RegisterActiveObject('area_click_flowers', on_click_flowers)
	RegisterActiveObject('area_click_petard',  on_click_petard)
	RegisterDragObject('layer_glass', 'area_get_glass', 'area_drop_glass', on_get_glass, on_drop_glass, on_drop_target_glass, nil, true)
	RegisterMonologObject('area_drop_glass', 'BBT_11_HO_NEED_DROP_GLASS')
	RegisterActiveObject('area_click_clouds', on_click_clouds)
	
	if self:GetAdditionalLogic():GetDealIndex() == 1 then
	    Object('layer_cloud_left' ):Hide()
	    Object('layer_cloud_right'):Hide()
	    Object('layer_sun_string' ):Hide()
	    Object('Sun'              ):Hide()
	    
	    ObjectVisible('area_click_clouds', false)
	    ObjectVisible('area_get_glass',    false)
	    ObjectVisible('area_drop_glass',   false)
	else
	    self.anim_petard:GetAnimation('petard'):GetElementByName('Layer_2'):SetOpacity(0)
	    self.anim_petard:GetAnimation('petard'):GetElementByName('Layer_3'):SetOpacity(0)
	    self.anim_petard:GetAnimation('petard'):GetElementByName('Layer_4'):SetOpacity(0)
	end
end

function l_11_corridor_ho:getnerateTasks()
        local randomTasks = {
                         'Bee',        'Bell',       'Bow',
                         'Branch',     'Butterfly',  'Cherry',
                         'Coin',       'Cone',       'Decanter',
                         'Dice',       'Duck',       'Envelope',
                         'Fan',        'Feather',    'Fish',
                         'Flute',      'Giraffe',
                         'Glove',      'Heart',      'Inkpot',
                         'Keys',       'Mask',       'Netsuke',
                         'Nut',        'Orange',     'Origami',
                         'Parrot',     'Pipe',       'PocketWatch',
                         'Portrait',   'Ring',       'Roll',
                         'Rose',       'Shell',      'Spider',
                         'Star',       'Umbrella'
                        }

    local actionTasks = {'Matches', 'Glasses', 'Snow', 'Sun'
                        }
    
    local deal1Tasks = {
                        'Matches', 'Snow'
                       }

    local deal2Tasks = {
                        'Binoculars', 'Glasses', 'Sun'
                       }


    DefineToolFindOrder('11_matches', '11_binoculars')
    RegisterTasks('HO_11_', randomTasks, actionTasks, deal1Tasks, deal2Tasks)
end

function l_11_corridor_ho:OnUpdate(dt)
end

function l_11_corridor_ho:OnAllItemsFound()
end

function l_11_corridor_ho:OnObjectMouseEnter(object)
end

function l_11_corridor_ho:OnObjectMouseLeave(object)
end

function l_11_corridor_ho:OnScreenObjectMouseDown(object, key)
end

function l_11_corridor_ho:OnObjectMouseDownProcessed(is_wrong_click)
end

function l_11_corridor_ho:OnMouseMove(previous_pos, current_pos)
end

function l_11_corridor_ho:OnObjectMouseUp(object)
end

function l_11_corridor_ho:OnObjectFound(object)
end

function l_11_corridor_ho:OnToolFound(tool)
end

function l_11_corridor_ho:OnToolApply(tool, object)
end

function l_11_corridor_ho:OnToolAddToInventory(tool)
end

function l_11_corridor_ho:OnObjectReachPanel(object)
end

function l_11_corridor_ho:OnButtonPress(title)
end

function l_11_corridor_ho:OnSetTool(tool)
end

function l_11_corridor_ho:OnLoaded()
end

function l_11_corridor_ho:OnDestroy()
end

--------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function l_11_corridor_ho:LoadData(screen)
	local anim
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,50,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Bee.png',0,0,40,40,1,0)
	anim:SetHotSpot(20,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bee',anim,982,339,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Bell.png',0,0,89,71,1,0)
	anim:SetHotSpot(44,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bell',anim,348,572,54,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Binoculars.png',0,0,104,95,1,0)
	anim:SetHotSpot(52,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Binoculars',anim,362,478,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Bow.png',0,0,78,103,1,0)
	anim:SetHotSpot(39,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bow',anim,964,475,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Branch.png',0,0,124,144,1,0)
	anim:SetHotSpot(62,72)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Branch',anim,893,421,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Butterfly.png',0,0,73,79,1,0)
	anim:SetHotSpot(36,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Butterfly',anim,621,567,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Cherry.png',0,0,69,78,1,0)
	anim:SetHotSpot(34,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Cherry',anim,526,454,52,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Coin.png',0,0,45,30,1,0)
	anim:SetHotSpot(22,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Coin',anim,68,550,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Cone.png',0,0,84,104,1,0)
	anim:SetHotSpot(42,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Cone',anim,431,447,52,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Decanter.png',0,0,80,153,1,0)
	anim:SetHotSpot(40,76)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Decanter',anim,191,469,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Dice.png',0,0,67,32,1,0)
	anim:SetHotSpot(33,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Dice',anim,99,570,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Duck.png',0,0,136,55,1,0)
	anim:SetHotSpot(68,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Duck',anim,805,340,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Envelope.png',0,0,85,112,1,0)
	anim:SetHotSpot(42,56)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Envelope',anim,261,407,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Fan.png',0,0,91,180,1,0)
	anim:SetHotSpot(45,90)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Fan',anim,358,345,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Feather.png',0,0,133,127,1,0)
	anim:SetHotSpot(66,63)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Feather',anim,670,404,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Fish.png',0,0,83,68,1,0)
	anim:SetHotSpot(41,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Fish',anim,433,516,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Flute.png',0,0,197,123,1,0)
	anim:SetHotSpot(98,61)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Flute',anim,657,291,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Giraffe.png',0,0,53,142,1,0)
	anim:SetHotSpot(26,71)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Giraffe',anim,541,200,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Glasses.png',0,0,113,74,1,0)
	anim:SetHotSpot(56,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Glasses',anim,229,556,52,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Glove.png',0,0,88,116,1,0)
	anim:SetHotSpot(44,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Glove',anim,924,330,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Heart.png',0,0,51,108,1,0)
	anim:SetHotSpot(25,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Heart',anim,269,152,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Inkpot.png',0,0,51,49,1,0)
	anim:SetHotSpot(25,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Inkpot',anim,138,576,52,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Keys.png',0,0,74,109,1,0)
	anim:SetHotSpot(37,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Keys',anim,52,302,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Mask.png',0,0,131,118,1,0)
	anim:SetHotSpot(65,59)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Mask',anim,345,174,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Matches.png',0,0,89,47,1,0)
	anim:SetHotSpot(44,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Matches',anim,736,515,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Netsuke.png',0,0,62,51,1,0)
	anim:SetHotSpot(31,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Netsuke',anim,415,577,54,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Nut.png',0,0,54,57,1,0)
	anim:SetHotSpot(27,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Nut',anim,490,462,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Orange.png',0,0,104,71,1,0)
	anim:SetHotSpot(52,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Orange',anim,529,500,53,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Origami.png',0,0,101,71,1,0)
	anim:SetHotSpot(50,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Origami',anim,66,421,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Parrot.png',0,0,159,104,1,0)
	anim:SetHotSpot(79,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Parrot',anim,137,114,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Pipe.png',0,0,117,102,1,0)
	anim:SetHotSpot(58,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pipe',anim,270,506,52,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/PocketWatch.png',0,0,119,54,1,0)
	anim:SetHotSpot(59,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('PocketWatch',anim,209,607,53,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Portrait.png',0,0,109,127,1,0)
	anim:SetHotSpot(54,63)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Portrait',anim,486,360,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Ring.png',0,0,45,35,1,0)
	anim:SetHotSpot(22,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Ring',anim,227,450,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Roll.png',0,0,135,130,1,0)
	anim:SetHotSpot(67,65)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Roll',anim,310,575,53,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Rose.png',0,0,76,93,1,0)
	anim:SetHotSpot(38,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Rose',anim,805,446,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Shell.png',0,0,58,40,1,0)
	anim:SetHotSpot(29,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Shell',anim,127,516,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Spider.png',0,0,98,55,1,0)
	anim:SetHotSpot(49,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Spider',anim,899,612,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Star.png',0,0,30,33,1,0)
	anim:SetHotSpot(15,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Star',anim,17,185,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/items/Umbrella.png',0,0,60,321,1,0)
	anim:SetHotSpot(30,160)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Umbrella',anim,995,608,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/layers/layer_flowers.png',0,0,238,184,1,0)
	anim:SetHotSpot(119,92)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_flowers',anim,760,548,60,0,1,1)
	
	anim = CreateAnimation('data/Texture/Common/area_round.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_click_flowers',anim,752,536,100,24,1.7,1)
	
	anim = CreateAnimation('data/Texture/Common/area_round.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_click_petard',anim,714,311,100,-54,1.7,1)
	
	anim = CreateAnimation('data/Texture/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Snow',anim,770,385,100,0,40,96)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/layers/layer_glass.png',0,0,42,40,1,0)
	anim:SetHotSpot(21,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_glass',anim,266,259,80,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/layers/layer_glasses.png',0,0,112,72,1,0)
	anim:SetHotSpot(56,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_glasses',anim,229,556,60,0,1,1)
	
	anim = CreateAnimation('data/Texture/Common/area_round.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_get_glass',anim,265,260,100,0,0.7,0.6)
	
	anim = CreateAnimation('data/Texture/Common/area_round.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_drop_glass',anim,231,561,100,0,1,0.6)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/layers/layer_cloud_left.png',0,0,258,214,1,0)
	anim:SetHotSpot(129,107)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_cloud_left',anim,756,107,80,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/layers/layer_cloud_left_shadow.png',0,0,266,182,1,0)
	anim:SetHotSpot(133,91)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_cloud_left_shadow',anim,723,161,79,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/layers/layer_cloud_right.png',0,0,175,160,1,0)
	anim:SetHotSpot(87,80)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_cloud_right',anim,921,80,60,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/layers/layer_cloud_right_shadow.png',0,0,220,174,1,0)
	anim:SetHotSpot(110,87)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_cloud_right_shadow',anim,920,124,59,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/layers/layer_sun.png',0,0,119,119,1,0)
	anim:SetHotSpot(59,59)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Sun',anim,793,148,52,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/layers/layer_sun_inner_1.png',0,0,60,60,1,0)
	anim:SetHotSpot(30,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_sun_inner_1',anim,796,148,53,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/layers/layer_sun_inner_2.png',0,0,98,98,1,0)
	anim:SetHotSpot(49,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_sun_inner_2',anim,796,147,54,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/layers/layer_sun_string.png',0,0,18,140,1,0)
	anim:SetHotSpot(9,70)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_sun_string',anim,791,54,55,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/layers/layer_sun_rays.png',0,0,163,161,1,0)
	anim:SetHotSpot(81,80)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_sun_rays',anim,795,148,52,0,1,1)
	
	anim = CreateAnimation('data/Texture/Scenes/11_corridor/ho/layers/layer_sun_rays_shadow.png',0,0,174,173,1,0)
	anim:SetHotSpot(87,86)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_sun_rays_shadow',anim,792,152,51,0,1,1)
	
	anim = CreateAnimation('data/Texture/Common/area_round.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_click_clouds',anim,821,134,100,-6,3.2,1.45)
	
end
-- CLEAR_ON_SAVE_END
